import 'package:niogu_ecommerce_v1/core/models/tenant_model.dart';
import 'package:niogu_ecommerce_v1/features/home/domain/entities/home.dart';

abstract class IHomeRepository {
  Future<TenantModel?> fetchConfiguration();

  Future<Home?> fetchHome();

  Future<List<ProductItem>> fetchProductByName(String name);

  Future<List<ProductItem>> fetchProductCategories(String categoryId);

  Future<List<OtherOutlet>> fetchOutlets();

  Future<MainOutlet?> fetchMainOutlet();
}
